6 Comments

  1. It's an OK backup solution for me. The one thing that is lacking is that I don't think there is a way to create a bootable ISO from the restore point like you can using systemback. Correct me if I am wrong and also please let me know how I would create an ISO file from a Timeshift backup. Thanks!!!

  2. I have searched for ages for a backup solution like Timeshift in Linux and sooooo happy to finally have this info. will definitely give it a try. thanks a million

  3. can you help me? :/
    konsole displays this:

    [erik@JARVIS ~]$ yaourt timeshift
    1 aur/timeshift 17.2-1 (19) (3,25)
    A system restore utility for Linux
    ==> Introduzca el número de los paquetes desea instalar (ejemplos: 1 2 3 ó 1-3)
    ==> —————————————————————————
    ==> 1

    ==> Descargando PKGBUILD para timeshift desde AUR…
    x .SRCINFO
    x PKGBUILD
    Zorg commented on 2017-05-13 02:29
    The same problem Pumba and Kaveiros have. Can't install at all.

    severach commented on 2017-05-13 06:20
    It builds with vala-0.34.6-1

    giowck commented on 2017-05-17 21:19
    So how to compile it?
    With vala 0.36.3 it fails

    severach commented on 2017-05-17 21:31
    https://wiki.archlinux.org/index.php/downgrading_packages
    Post an issue to the author and see if they will make it vala 0.36 compatible.

    giowck commented on 2017-05-17 22:28
    So was able to compile it with vala0.26 from the aur, in the PKGBUILD inside the makedepends array just change "vala" to "vala0.26". It will ask to replace regular vala since they are conflicting, just say yes, after everything is built you can reinstall the regular vala package again and still run timeshift, since it's only a build dependency…

    Yeah, meantime, let's wait for the author to fix it, unless someone understands the issue and is able to provide a patch.

    timeshift 17.2-1 (2017-01-29 03:37)
    (Paquete sin soporte: ¡podría ser peligroso!)
    ==> ¿Quiere editar PKGBUILD? [S/n] ("A" para anular)
    ==> ————————————————
    ==> n

    ==> dependencias de timeshift:
    – gtk3 (ya instalado)
    – libsoup (ya instalado)
    – desktop-file-utils (ya instalado)
    – rsync (ya instalado)
    – libgee>=0.18.0 (ya instalado)
    – json-glib (ya instalado)
    – cron (ya instalado)
    – vala (ya instalado) [makedepend]
    – diffutils (ya instalado) [makedepend]
    – coreutils (ya instalado) [makedepend]
    – vte3 (ya instalado) [makedepend]

    ==> Continuar compilando timeshift? [S/n]
    ==> ————————————-
    ==> s

    ==> Compilando e instalando el paquete
    ==> Creando el paquete: timeshift 17.2-1 (lun may 29 18:56:22 -05 2017)
    ==> Comprobando dependencias mientras se ejecuta…
    ==> Comprobando dependencias mientras se compila…
    ==> Recibiendo las fuentes…
    -> Descargando timeshift_v17.2_r429.tgz…
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    100 383k 0 383k 0 0 96682 0 –:–:– 0:00:04 –:–:– 96706
    ==> Validando los archivos source con sha256sums…
    timeshift_v17.2_r429.tgz … Omitido
    ==> Extrayendo las fuentes…
    -> Extrayendo timeshift_v17.2_r429.tgz con bsdtar
    ==> Iniciando build()…
    Utility/TimeoutCounter.vala:47.4-47.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Utility/TimeoutCounter.vala:61.4-61.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Utility/AsyncTask.vala:146.5-146.23: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Utility/AsyncTask.vala:154.5-154.23: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Core/Main.vala:3512.4-3512.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Core/SnapshotRepo.vala:890.4-890.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Utility/GtkHelper.vala:41.13-41.48: warning: Gdk.Cursor.new has been deprecated since 3.16
    Utility/GtkHelper.vala:44.13-44.48: warning: Gdk.Cursor.new has been deprecated since 3.16
    Core/Main.vala:3390.4-3390.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Core/Main.vala:1377.4-1377.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Core/Main.vala:1845.5-1845.23: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Core/Main.vala:1848.5-1848.23: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Utility/Gtk/TerminalWindow.vala:137.4-137.18: warning: Vte.Terminal.spawn_sync has been deprecated since 0.48
    Utility/Gtk/TerminalWindow.vala:183.4-183.18: warning: Vte.Terminal.spawn_sync has been deprecated since 0.48
    Utility/GtkHelper.vala:354.3-354.26: warning: Gtk.Widget.override_color has been deprecated since 3.16
    Utility/TeeJee.System.vala:225.10-225.43: warning: Gdk.Screen.get_width has been deprecated since 3.22
    Utility/TeeJee.System.vala:229.10-229.44: warning: Gdk.Screen.get_height has been deprecated since 3.22
    Gtk/EstimateBox.vala:91.5-91.23: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Gtk/BackupBox.vala:167.4-167.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Gtk/RestoreBox.vala:182.4-182.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Gtk/ExcludeBox.vala:301.17-301.20: error: Argument 1: Cannot pass value to reference or output parameter
    store.remove(item);
    ^^^^
    Gtk/RsyncLogWindow.vala:167.4-167.22: warning: GLib.Thread.create has been deprecated since 2.32. Use new Thread<T> ()
    Compilation failed: 1 error(s), 21 warning(s)
    make[1]: * [makefile:27: all] Error 1
    make: * [makefile:2: all] Error 2
    /usr/bin/makepkg: línea 729: logpipe: variable sin asignar
    ==> ERROR: Makepkg no ha podido compilar timeshift.
    ==> ¿Reiniciar la compilación de timeshift? [s/N]
    ==> ———————————————
    ==>

Leave a Reply

Your email address will not be published.


*